%define upstream_name    Config-MVP-Slicer
%define upstream_version 0.302

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Extract embedded plugin config from parent config
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This can be used to extract embedded configurations for other plugins out
of larger (parent) configurations.

A example where this can be useful is plugin bundles (see the
Config::MVP::Assembler::WithBundles manpage).

A bundle loads other plugins with a default configuration that works most
of the time, but sometimes you wish you could customize the configuration
for one of those plugins without having to remove the plugin from the
bundle and re-specify it separately.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.302.0-2.mga3
+ Revision: 364685
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 02 2012 jquelin <jquelin> 0.302.0-1.mga3
+ Revision: 266669
- update to 0.302

* Fri Nov 18 2011 jquelin <jquelin> 0.301.0-1.mga2
+ Revision: 168839
- imported package perl-Config-MVP-Slicer

